MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028744Open CASCADE[OCCT] OCCT:Visualizationpublic2017-05-16 13:062017-05-26 14:29
Reporterbugmaster 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.2.1 
Target Version[OCCT] 7.2.0*Fixed in Version 
Summary0028744: Visualization, OpenGl_FrameBuffer - handle GL_RGB8 format
DescriptionFunction getColorDataFormat does not handling GL_RGB8 and GL_RGB formats.
Steps To ReproduceNot required
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0028758verifiedbugmaster Visualization - Implement exporting generated image to HRD/EXR images 

-  Notes
(0066137)
git (administrator)
2017-05-16 13:16

Branch CR28744 has been created by Andrey GOLODAEV.

SHA-1: f58ead146592cf4dbe9c22f1278481a1476d6f99


Detailed log of new commits:

Author: age
Date: Tue May 16 13:12:50 2017 +0300

    0028744: Visualization, OpenGl_FrameBuffer missing GL_RGB8 format
    
    Missing GL_RGB8 and GL_RGB formats added to getColorDataFormat function.
(0066138)
user815
2017-05-16 13:18

Dear apl,

Please review the patch in branch CR28744.
(0066142)
kgv (developer)
2017-05-16 13:53
edited on: 2017-05-16 13:53

+      case GL_RGB8:
+      {
+        thePixelFormat = GL_RGB;
+        theDataType = GL_UNSIGNED_INT;

I think GL_RGB8 should be the same as GL_RGB (e.g. GL_UNSIGNED_BYTE),
as well as GL_RGBA8/GL_RGBA - don't get where GL_UNSIGNED_INT is coming from.

(0066195)
git (administrator)
2017-05-17 14:18

Branch CR28744 has been updated by Andrey GOLODAEV.

SHA-1: a543341d5a99ffeda8a8ba6aaf58499999d22563


Detailed log of new commits:

Author: age
Date: Wed May 17 14:16:14 2017 +0300

    0028744: Visualization, OpenGl_FrameBuffer - handle GL_RGB8 format
    
    Joined GL_RGB8 with GL_RGB, GL_RGBA8 with GL_RGBA - changed format to GL_UNSIGNED_BYTE

(0066196)
user815
2017-05-17 14:20

Changed GL_RGB8 and GL_RGBA8 format to GL_UNSIGNED_BYTE
(0066228)
git (administrator)
2017-05-17 19:15

Branch CR28744_1 has been created by apl.

SHA-1: 4b28aa79bd68445c6ff68736ce9c8ac5edae7095


Detailed log of new commits:

Author: age
Date: Tue May 16 13:12:50 2017 +0300

    0028744: Visualization, OpenGl_FrameBuffer missing GL_RGB8 format
    
    Missing GL_RGB8 and GL_RGB formats added to getColorDataFormat function.
(0066229)
apl (developer)
2017-05-17 19:17

Dear bugmaster,

The branch been squashed into a single commit.

Please test CR28744_1.
(0066331)
apv (tester)
2017-05-19 15:51

Dear BugMaster,

Branch CR28744_1 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 4b28aa79bd68445c6ff68736ce9c8ac5edae7095

Number of compiler warnings:
occt component:
   Linux: 0 (0 on master)
   Windows: 0 (0 on master)
   MasOS: 0 (0 on master)
products component:
   Linux: 64
   Windows: 0
   MacOS: 1195

Regressions/Differences:
Not detected

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 92972287 / 91776192 [+1.30%]
Total CPU difference: 18776.400000000238 / 18651.980000000363 [+0.67%]

Testing on Windows:
Total MEMORY difference: 58427012 / 58426407 [+0.00%]
Total CPU difference: 17604.22924689861 / 17338.309942298663 [+1.53%]
(0066332)
apv (tester)
2017-05-19 15:52

Dear BugMaster,

Please integrate branch CR28744_1 into the occt git-repository master.

- Related Changesets
occt: master 58772a28
Timestamp: 2017-05-16 10:12:50
Author: age
Committer: bugmaster
Details ] Diff ]
0028744: Visualization, OpenGl_FrameBuffer missing GL_RGB8 format

Missing GL_RGB8 and GL_RGB formats added to getColorDataFormat function.
mod - src/OpenGl/OpenGl_FrameBuffer.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-05-16 13:06 user815 New Issue
2017-05-16 13:06 user815 Assigned To => user815
2017-05-16 13:06 user815 Status new => assigned
2017-05-16 13:16 git Note Added: 0066137
2017-05-16 13:18 user815 Note Added: 0066138
2017-05-16 13:18 user815 Assigned To user815 => apl
2017-05-16 13:18 user815 Status assigned => resolved
2017-05-16 13:18 user815 Steps to Reproduce Updated View Revisions
2017-05-16 13:53 kgv Note Added: 0066142
2017-05-16 13:53 kgv Note Edited: 0066142 View Revisions
2017-05-16 20:24 kgv Summary Visualization, OpenGl_FrameBuffer missing GL_RGB8 format => Visualization, OpenGl_FrameBuffer - handle GL_RGB8 format
2017-05-17 14:18 git Note Added: 0066195
2017-05-17 14:20 user815 Note Added: 0066196
2017-05-17 19:15 git Note Added: 0066228
2017-05-17 19:17 apl Note Added: 0066229
2017-05-17 19:17 apl Assigned To apl => bugmaster
2017-05-17 19:17 apl Status resolved => reviewed
2017-05-17 19:32 apv Assigned To bugmaster => apv
2017-05-18 14:56 kgv Relationship added related to 0028758
2017-05-19 13:35 bugmaster Reporter user815 => bugmaster
2017-05-19 15:45 apv Test case number => Not needed
2017-05-19 15:51 apv Note Added: 0066331
2017-05-19 15:51 apv Assigned To apv => bugmaster
2017-05-19 15:51 apv Status reviewed => tested
2017-05-19 15:52 apv Note Added: 0066332
2017-05-26 14:28 bugmaster Changeset attached => occt master 58772a28
2017-05-26 14:29 bugmaster Status tested => verified
2017-05-26 14:29 bugmaster Resolution open => fixed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker